Bug 430603 - Review Request: clex - A free file manager with a full-screen user interface
Review Request: clex - A free file manager with a full-screen user interface
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nathan Owe
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 18:18 EST by Kairo Araujo
Modified: 2012-04-21 23:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: clex-4.6.4-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-21 23:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kairo Araujo 2008-01-28 18:18:18 EST
Spec URL: http://kairo.freeshell.org/devel/fedora/clex/clex.spec
SRPM URL: http://kairo.freeshell.org/devel/fedora/clex/clex-3.17-1.fc8.src.rpm
Description: CLEX (pronounced KLEKS) is a file manager with a full-screen user 
interface. It displays directory contents including the file status 
details and provides features like command history, filename insertion, 
or name completion in order to help users to create commands to be 
executed by the shell. 

CLEX is a versatile tool for system administrators and all users that 
utilize the enormous power of the command line. Its unique one-panel 
user interface enhances productivity and lessens the probability of 
mistake. There are no built-in commands, CLEX is an add-on to your 
favorite shell.
Comment 1 manuel wolfshant 2008-01-28 20:27:46 EST
The Requires line is redundant, rpmbuild will pick it automatically.
The "INSTALL" file can be removed from the %doc list, it is intended for those
who install from source. Since Fedora provides directly the binary, it is
useless. Those who will build from source will find it inside the tar.gz

Everything else seems OK, runs fine in FC-7
Comment 2 Ian Weller 2008-01-29 00:51:54 EST
As far as I can tell, this package follows all of the MUSTs in the package
review guidelines.  manuel's comments should be followed however.

The package also follows every single SHOULD item on the review guidelines list,
except for "The package should compile and build into binary rpms on all
supported architectures." This somebody else will need to do -- but it looks
like it will probably happen.
Comment 3 manuel wolfshant 2008-01-29 03:21:01 EST
Ian: you can use koji to do scratch builds for architectures that you cannot
build for locally. "koji build --scratch <other mandatory args>".
Feel free to do a "informal" review if you are interested. I did not assign this
bug to me on purpose, my review is already completed but I want to leave an
opportunity for other people looking for sponsorship.
Comment 5 manuel wolfshant 2008-01-29 06:21:52 EST
Do you have a specific reason to insist in keeping the "Requires" ? It's not
wrong, but it is useless, rpmbuild will add it automatically
Comment 6 Kairo Araujo 2008-01-29 06:43:20 EST
If specified in BuildRequires, rpmbuild will add it automatically. It's the rule?
Comment 7 manuel wolfshant 2008-01-29 07:15:03 EST
BuildRequires is an indication for rpm specifying what resources are needed in
order to _build_ the package.
Requires is an indication of resources (or "dependencies") needed to _install_
(or use) the package. After building a package, rpmbuild will "take a look" at
the files which are about to be packaged and create the list of dependencies,
taking into consideration for instance the libs which are called. Quite often
this automatic list covers all the needs of the application.

Please try to make time and read the resources available in the wiki, starting
from http://fedoraproject.org/wiki/PackageMaintainers and most especially the
docs from the "Packaging" section. The two books listed under "Further readings"
are a must.
Comment 8 Kairo Araujo 2008-01-29 07:45:22 EST
New revision:
Spec URL: http://kairo.freeshell.org/devel/fedora/clex/clex.spec
SRPM URL: http://kairo.freeshell.org/devel/fedora/clex/clex-3.17-3.fc8.src.rpm

I understood the differences of BuildRequires and Requires.
I'm studying about this and other subjects.
Comment 9 Ian Weller 2008-01-29 18:17:58 EST
I'll get a koji build done on my computer as soon as I have time, which
hopefully will be tomorrow. If anyone else wants to do it, by all means go ahead.
Comment 10 Ian Weller 2008-01-30 00:41:43 EST
I apparently can't figure out koji. According to documents and whatnot, it's
either I need an account on fedora's koji server, which would mean I need
sponsored... (not yet but hopefully soon) or I would need to set up my own koji
server, which I really don't have time for.

But regardless, it appears to be a solid package. :)
Comment 11 manuel wolfshant 2008-01-30 02:30:02 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on:devel/x86_64
 [x] Rpmlint output:
source RPM:empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: 05ff8cb880ca74395f75f5c8ade87e7637064d65 
/tmp/clex-3.17.tar.gz
 [x] Package is not known to require
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64& F7/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:only x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [x] File based requires are sane.

=== Issues ===
1. none


================
*** APPROVED *** but pending sponsorhip
================
Comment 12 manuel wolfshant 2008-03-26 03:27:03 EDT
Removing "sponsorship needed" flag, I will sponsor Kairo
Comment 13 Kairo Araujo 2008-03-26 13:58:17 EDT
New Package CVS Request
=======================
Package Name:      clex
Short Description: A free file manager with a full-screen user interface
Owners:            kairo
Branches:          F-8
InitialCC:         
Cvsextras Commits: yes
Comment 14 manuel wolfshant 2008-03-26 14:15:57 EDT
Kairo, you must first complete the sponsorship process.
Comment 15 manuel wolfshant 2008-03-26 14:29:35 EDT
Please follow these two links, depending on which phase you are (probably the
first link below is the first one you have to visit):
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-a601c13b0950a89568deafa65f505b4b58ee869b
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-0dbf12f9c493a3f20fae545bb9c1396cb0a88053
Comment 16 Kairo Araujo 2008-03-26 15:40:01 EDT
I made this process in the past. I have account in Fedora Account System and CLA
done.
Comment 17 manuel wolfshant 2008-03-26 16:04:57 EDT
In this case I assume you need to proceed with step 4 from
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-a601c13b0950a89568deafa65f505b4b58ee869b
(-> look for the cvsextras group, and click Apply under Status)
Comment 18 Kairo Araujo 2008-03-26 16:29:05 EDT
I made this for cvsextras in the past too.
cvsextras and fedorabugs with unapproved status.
Comment 19 Kairo Araujo 2008-03-28 21:50:21 EDT
New Package CVS Request
=======================
Package Name: clex
Short Description: A free file manager with a full-screen user interface
Owners: kairo
Branches: F-8
InitialCC:         
Cvsextras Commits: yes
Comment 20 Kevin Fenzi 2008-03-29 14:48:02 EDT
cvs done.
Comment 21 manuel wolfshant 2008-04-17 18:58:25 EDT
closing the bug, the package has been built and pushed to rawhide.
Comment 22 Nathan Owe 2011-07-28 22:12:59 EDT
Package Change Request
======================
Package Name: clex
Owners: ndowens
InitialCC: 

The package was orphaned, and I am interested in adopting. Updated package version and SPEC
Comment 23 Nathan Owe 2011-07-28 22:14:56 EDT
Package Change Request
======================
Package Name: clex
Un-retire: f15
Owners: ndowens

InitialCC: 

The package was orphaned, and I am interested in adopting. Updated package
version and SPEC
Comment 24 Nathan Owe 2011-07-28 23:04:59 EDT
Package Change Request
======================
Package Name: clex
Un-retire: f15 f14
Owners: ndowens

InitialCC: 

The package was orphaned, and I am interested in adopting. Updated package
version and SPEC

Sorry. I found out that this package compiles fine on f14 so I decided to take it up as well and update it. Also updating f14 will fix bug #527268
Comment 25 Nathan Owe 2011-07-28 23:08:00 EDT
Actually bug #527269
Comment 26 Jon Ciesla 2011-07-29 07:57:09 EDT
Unretired, take ownership in pkgdb.
Comment 27 Nathan Owe 2011-07-29 21:54:49 EDT
I am unable to push changes to f15 and f14, says that I am denied and ACL page of the package says orphaned. So it seems I am the owner of the master but not f14 and f15.

Thanks
Comment 28 Jason Tibbitts 2011-07-29 22:21:31 EDT
I unretired the f14 and f15 branches for you.
Comment 29 Nathan Owe 2011-07-29 22:24:20 EDT
Thank you :)
Comment 30 Nathan Owe 2011-08-21 21:46:00 EDT
Package Change Request
======================
Package Name: clex
New Branches: f16
Owners: ndowens
InitialCC: 

Add f16 branch please
Comment 31 Jon Ciesla 2011-08-22 05:50:37 EDT
Git done (by process-git-requests).
Comment 32 Nathan Owe 2012-01-20 13:50:48 EST
#fedora-devel said package needs to be re-reviewed since I am having issue with getting it to build for f16.
Comment 33 Fedora Update System 2012-04-08 21:24:10 EDT
clex-4.6.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/clex-4.6.4-1.fc15
Comment 34 Nathan Owe 2012-04-08 21:32:28 EDT
Can somebody please re-review this package so maybe it will be unblocked from dist-f16
Comment 35 Jason Tibbitts 2012-04-09 18:40:26 EDT
Nobody is going to re-review a ticket in this state.  I only happened to see it by chance.  If you would like a re-review, please file a new review request.
Comment 36 Fedora Update System 2012-04-11 12:58:53 EDT
Package clex-4.6.4-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing clex-4.6.4-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5674/clex-4.6.4-1.fc15
then log in and leave karma (feedback).
Comment 37 Fedora Update System 2012-04-21 23:46:41 EDT
clex-4.6.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.